#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,k;
    cin >> n >> k;
    int p[20010];
    for (int i=0; i<n; i++)
        cin >> p[i];
    if (k==p[n-1])
    {
        cout << p[0];
        return 0;
    }
    int i=0;
    while (p[i]!=k)
        i++;
    cout << p[i+1];
    return 0;
}